List
curl --request GET \
--url https://api.cadanapay.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/beneficiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03",
"tenantKey": "cad65668351",
"businessId": "186ea4c2-b606-4f13-a2b3-5cca8564c17e",
"name": "John Doe",
"countryCode": "CO",
"currency": "COP",
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"accountType": "Checking",
"bankCode": "EXMPCOBB",
"bankName": "Colombia Bank",
"branchName": "",
"beneficiaryId": {
"type": "NIT",
"value": "123456789"
},
"address": {
"line1": "Avenida Caracas",
"line2": "",
"city": "Bogota",
"postalCode": "",
"state": "",
"countryCode": "CO"
},
"email": "john.doe@example.com"
}
},
"kyc": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-12-20",
"countryCode": "CO",
"idType": "PASSPORT",
"idNumber": "PA1234567",
"idFileFront": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"idFileBack": ""
},
"createdTimestamp": 1748550207,
"lastUpdatedTimestamp": 1748550207
}
],
"node": {
"previous": null,
"next": null
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Beneficiaries
List
Retrieve beneficiaries
GET
/
v1
/
beneficiaries
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
⌘I